библиотека openpyxl – ошибка jdcal

Я пытаюсь работать над некоторыми файлами excel, я решил использовать openpyxl-библиотеку. Я скопировал папку openpyxl в / Lib / и попытался выполнить команду import на некотором примерном коде, и все, что я получаю, это список нескольких ошибок.

Traceback (most recent call last): File "C:/Users/Karolina/Documents/python/test xlsx.py", line 1, in <module> import openpyxl File "C:\Python34\lib\openpyxl\__init__.py", line 9, in <module> from openpyxl.workbook import Workbook File "C:\Python34\lib\openpyxl\workbook\__init__.py", line 5, in <module> from .workbook import * File "C:\Python34\lib\openpyxl\workbook\workbook.py", line 14, in <module> from openpyxl.utils.datetime import CALENDAR_WINDOWS_1900 File "C:\Python34\lib\openpyxl\utils\datetime.py", line 11, in <module> from jdcal import ( ImportError: cannot import name 'gcal2jd' 

Сначала я получал ту же ошибку о «jdcal», поэтому я установил библиотеку под названием jdcal. Теперь я не знаю, как это исправить, что с ним не так? Я использую python 3.4

3 Solutions collect form web for “библиотека openpyxl – ошибка jdcal”

Фактически openpyxl зависит от jdcal & et_xmlfile . Сначала вам нужно установить эти два пакета. Мне удалось запустить openpyxl, загрузив и давая наценку на что-то вроде этого:

 #For Writing in Excel File import sys #For openpyxl-2.4.0 Python Package you should need to have et_xmlfile and jdcal package sys.path.append("D:\et_xmlfile-1.0.1") sys.path.append("D:\jdcal-1.3") sys.path.append('D:\openpyxl-2.4.0') import openpyxl 

Модуль openpyxl имеет 2 зависимых модуля: 1. jdcal 2. et_xmlfile

Я смог установить модуль openpyxl, и это то, что я сделал:

  1. Загрузили файл openpyxl, jdcal и et_xml с https://pypi.python.org/pypi и сохранили jdcal-1.0.tar.gz, et_xmlfile-1.0.0.tar.gz, openpyxl-2.3.0-b2.tar.gz в локальной папке в моей системе.

  2. Затем я выполнил команды в следующем порядке:

     pip install jdcal-1.0.tar.gz pip install et_xmlfile-1.0.0.tar.gz pip install openpyxl-2.3.0-b2.tar.gz 

openpyxl успешно после этого.

У меня была такая же проблема. Я решил это :). если у вас есть pip3 или другой, вы можете просто скачать и установить с вашего терминала: –

 sudo pip3 pip3 install jdcal sudo pip3 install et_xmlfile 
Python - лучший язык программирования в мире.